package image

// IDs gets array of ImageIDs from ListImages struct
func (li ListImages) IDs() []uint64 {
	res := make([]uint64, 0, len(li.Data))
	for _, i := range li.Data {
		res = append(res, i.ID)
	}
	return res
}

// IDs gets array of HistoryIDs from ListHistories struct
func (lh ListHistories) IDs() []uint64 {
	res := make([]uint64, 0, len(lh))
	for _, h := range lh {
		res = append(res, h.ID)
	}
	return res
}
